org.apache.catalina.startup

## Class TldConfig

- java.lang.Object
- - org.apache.catalina.startup.TldConfig

- All Implemented Interfaces:
    LifecycleListener

      public final class TldConfig
      extends Object
      implements LifecycleListener

  Startup event listener for a Context that configures application listeners configured in any TLD files.
  Author:
    Craig R. McClanahan, Jean-Francois Arcand, Costin Manolache

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TldConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addApplicationListener(String s)`
    `void` | `addTaglibUri(String uri)` Adds a taglib URI to the list of known URIs.
    `void` | `execute()` Scan for and configure all tag library descriptors found in this web application.
    `Context` | `getContext()` Deprecated. Unused - will be removed in 8.0.x
    `String[]` | `getTldListeners()`
    `boolean` | `isKnownTaglibUri(String uri)` Determines if the provided URI is a known taglib URI.
    `boolean` | `isKnownWebxmlTaglibUri(String uri)` Determines if the provided URI is a known taglib URI.
    `void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.
    `void` | `setContext(Context context)` Deprecated. Unused - will be removed in 8.0.x
    `static void` | `setNoTldJars(String jarNames)` Sets the list of JARs that are known not to contain any TLDs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TldConfig

          public TldConfig()

  - ### Method Detail

    - #### setNoTldJars

          public static void setNoTldJars(String jarNames)

      Sets the list of JARs that are known not to contain any TLDs.
      Parameters:
        `jarNames` - List of comma-separated names of JAR files that are known not to contain any TLDs.

    - #### addTaglibUri

          public void addTaglibUri(String uri)

      Adds a taglib URI to the list of known URIs.

    - #### isKnownTaglibUri

          public boolean isKnownTaglibUri(String uri)

      Determines if the provided URI is a known taglib URI.

    - #### isKnownWebxmlTaglibUri

          public boolean isKnownWebxmlTaglibUri(String uri)

      Determines if the provided URI is a known taglib URI.

    - #### getContext

          @Deprecated
          public Context getContext()

      Deprecated. Unused - will be removed in 8.0.x

    - #### setContext

          @Deprecated
          public void setContext(Context context)

      Deprecated. Unused - will be removed in 8.0.x

    - #### addApplicationListener

          public void addApplicationListener(String s)

    - #### getTldListeners

          public String[] getTldListeners()

    - #### execute

          public void execute()

      Scan for and configure all tag library descriptors found in this web application. This supports a Tomcat-specific extension to the TLD search order defined in the JSP spec. It allows tag libraries packaged as JAR files to be shared by web applications by simply dropping them in a location that all web applications have access to (e.g., /lib). It also supports some of the weird and wonderful arrangements present when Tomcat gets embedded. The set of shared JARs to be scanned for TLDs is narrowed down by the `noTldJars` class variable, which contains the names of JARs that are known not to contain any TLDs.

    - #### lifecycleEvent

          public void lifecycleEvent(LifecycleEvent event)

      Description copied from interface: `LifecycleListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `lifecycleEvent` in interface `LifecycleListener`
      Parameters:
        `event` - LifecycleEvent that has occurred

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.